# Interface methods for submodule: SingleValuedCostFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import CostFunctionTemplateProxy as _CostFunctionTemplateProxy


# Interface methods for class: SingleValuedCostFunction
class SingleValuedCostFunctionProxy(_CostFunctionTemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def GetDerivative(self, parameters, derivative: Sequence[float]) -> None:
		""""""
		...

	def GetValueAndDerivative(self, parameters, value: float, derivative: Sequence[float]) -> None:
		""""""
		...

